## libreoffice 4.0.4

=== debian/changelog ===
libreoffice (1:4.0.4-0ubuntu1) raring; urgency=low

  * fixed with upstream 4.0.3:
    - YEARFRAC function returns incorrect results for some dates (LP: #127505)
    - RTF: frame contents (graphics and text) missing when imported
      (LP: #227895)
    - Personas download doesn't work on LibreOffice (LP: #1173965)
  * disable cached value import
  * disable unity integration for backports
  * new upstream release (4.0.4):
    - Hyphenation doubles characters in Calc (LP: #1051955)
  * Junittest sfx2/complex is still flaky on the buildds it seems, disabling

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 07 May 2013 03:03:30 +0200
