## libreoffice 4.1.0

=== debian/changelog ===
libreoffice (1:4.1.0-5~bpo70+3) wheezy-backports; urgency=low

  * rebuild with correct control, sigh. 

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Sep 2013 12:08:43 +0200

libreoffice (1:4.1.0-5~bpo70+2) wheezy-backports; urgency=low

  * debian/rules:
    - fix curl conditional to really add libcurl4-<whatever>-dev builddep....
    - disable graphite2 for armel and sparc for wheezy-backports
    - build using gcj-jdk for kfreebsd-* on wheezy-backports

 -- Rene Engelhard <rene@debian.org>  Tue, 03 Sep 2013 20:36:36 +0200

libreoffice (1:4.1.0-5~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

  * debian/rules:
    - bump librdf0-dev build-dep to >= 1.0.16 to match reality; use
      internal one on wheezy
    - use internal libwpd...

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Aug 2013 21:27:28 +0200

libreoffice (1:4.1.0-5) unstable; urgency=low

  * debian/patches/neon-0.30.diff: fix FTBFS with neon 0.30.0 
  * debian/patches/qadevOOo-kfreebsd.diff: make qadevOOo not fail on
    "gnu/kfreebsd"
  * debian/patches/fix-fdo-67665.diff: backport fix for odg/odp font export
    from master (closes: #720192)

  * debian/rules:
    - don't try to package up -subsequentcheckbase on gcj-using archs
      as needed stuff isn't built there 
    - build-depend on uuid when running make check
    - use openjdk also on kfreebsd-*
    - "fix" to also ignore check failures on kfreebsd-{i386,amd64} (assuming
      openjdk use)
  * debian/libreoffice-dev-doc.links: add api -> docs symlink as Javadocs
    should be in api/
  * debian/libreoffice-script-provider-python.bug-script: remove, obsolete;
    it's not an extension anymore

  * merge from Ubuntu:
    - debian/control.debug.in: s/python-uno/python3-uno/

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Aug 2013 19:17:31 +0200

libreoffice (1:4.1.0-4) unstable; urgency=low

  * debian/rules:
    - readd PYTHONPATH setting to soffice (as for unopkg)
      as it's apparently still needed for the python script provider
      to work (closes: #718403)

 -- Rene Engelhard <rene@debian.org>  Thu, 01 Aug 2013 18:12:02 +0200

libreoffice (1:4.1.0-3) unstable; urgency=low

  * debian/rules:
    - use system-clucene again now that it's in sid
    - move liblpsolve55.so into -core if used internally, as otherwise
      -writer doesn't start without -calc installed..?!
  * debian/libreoffice-common.postrm.in:
    - add missed || true and use rm -f for javasettinsgunopkginstall.xml...
  * debian/control.librelogo.in:
    - apparently librelogo also needs -script-provider-python. Depend on
      that instead of ${pyuno-depends}, thanks Bjoern Michaelsen

 -- Rene Engelhard <rene@debian.org>  Mon, 29 Jul 2013 13:28:36 +0200

libreoffice (1:4.1.0-2) unstable; urgency=low

  * debian/rules:
    - fix uno.py, actually add starting / in LOs path (closes: #717930)
    - add -Nlibreoffice-report-builder to jh_depends call for arch-indep
      packages so it doesn't get added to -java-commons Depends
      (closes: #717903
  * debian/libreoffice-common.postrm.in:
    - don't create /var/lib/libreoffice/share/config/ anymore and
      remove it (and javaunopkginstall.xml if exists) on purge
      (closes: #707933) 

 -- Rene Engelhard <rene@debian.org>  Fri, 26 Jul 2013 20:25:16 +0200

libreoffice (1:4.1.0-1) unstable; urgency=low

  * new upstream release

  * upload to unstable

  * debian/rules:
    - use internal clucene again; still no action from the clucene
      maintainers...

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Jul 2013 23:54:17 +0200

libreoffice (1:4.1.0~rc3-1) experimental; urgency=low

  * new upstream release candidate 

 -- Rene Engelhard <rene@debian.org>  Wed, 17 Jul 2013 18:08:19 +0200

libreoffice (1:4.1.0~rc2-2) experimental; urgency=low

  * build with proper DEB_BUILD_OPTIONS so we actually get l10n
    (closes: #715353)

  * debian/rules:
    - also filter out binutils so that the mips(el)-only build-dep doesn't
      end up in -subsequentbases depends for everything
  * debian/rules, debian/control.in:
    - revert python3-uno -> python3.3-uno move now that python 3.3 is default
      and prefer python3-uno (>= 4.0~) in dependencies again

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Jul 2013 22:02:06 +0200

libreoffice (1:4.1.0~rc2-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/hack-interlck_sparc.diff: hack around sparc build failure,
    #undef __sparcv8plus, __sparcv9 and __sparc_v9__ for interlck_sparc.o as
    we otherwise miss osl_InterlockedCountSetV9... 

  * debian/rules:
    - revert gcc 4.6 hack; armel built fine with g++-4.8, including checks,
      so let's try with it everywhere.

 -- Rene Engelhard <rene@debian.org>  Tue, 02 Jul 2013 22:12:36 +0200

libreoffice (1:4.1.0~rc1-1) experimental; urgency=low

  * new upstream release candidate

  * debian/patches/gcj-safe-jni-h-include.diff: fix -I placement...

  * debian/control.sdk.in:
    - also replace libreoffice-common (<< 4.1.0~beta1) (closes: #710767)
  * debian/rules:
    - enable kk (kazakh) l10n (closes: #700835)
    - fix JAVA_MAINVER setting to actually set 6 for mips(el) and not
      for ia64. 
    - also build-depend on libc6 (>= 2.17-6) on mips(el)
  * debian/control:
    - fix -dbg suggests: s/python/$(PYTHON)/. to suggest python3.3-dbg
    - temporarily force gcc-4.6(!) (instead of build-conflicting
      against gcc (>< 4:4.7~) on all archs except *i386/*amd64 until
      all bridges are ported to the new gcc 4.7+ behaviour
    - remove last buildd special-casing: build --enable-verbose everyhwere,
      also on the buildds
  * debian/patches/make-pyuno-work-for-system-wide-module-install.diff,
    debian/patches/didable-sw-python.diff, debian/rules:
    remove patch(es), add the lines to uno.oy during install ("stolen" from
    Fedora)
    Otherwise the python-based unit tests fail miserably (sw_python).

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Jun 2013 18:07:00 +0200


