=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libreoffice
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
 Build-Depends: ant (>= 1.7.0),
                ant-optional (>= 1.7.0),
@@ -13,13 +12,10 @@
                bzip2,
                cpp-4.7,
                debhelper (>= 7.2.3~),
-               default-jdk,
-               default-jdk (>= 1:1.7-48) [ia64],
-               dmake (>= 1:4.11),
                dpkg-dev (>= 1.16.1),
                fastjar,
-               firefox-dev | xulrunner-dev,
                flex | flex-old,
+               g++-mingw-w64-i686 [i386 amd64],
                gcj-jdk [hppa kfreebsd-i386 kfreebsd-amd64],
                gcj-native-helper [hppa kfreebsd-amd64 kfreebsd-i386],
                gdb,
@@ -32,14 +28,14 @@
                libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386],
                libboost-date-time-dev (>= 1.38),
                libboost-dev (>= 1.38),
+               libboost-system-dev (>= 1.38),
                libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64],
                libcairo2-dev,
-               libcdr-dev,
-               libclucene-dev (>= 2.3.3.4-2),
-               libcmis-dev (>= 0.3.1),
                libcppunit-dev (>= 1.12),
                libcups2-dev,
+               libcurl4-gnutls-dev,
                libdbus-glib-1-dev (>= 0.70),
+               libebook1.2-dev,
                libexpat1-dev,
                libexttextcat-dev (>= 3.1.1),
                libfontconfig1-dev,
@@ -49,8 +45,8 @@
                libgl1-mesa-dev [!armel !mips !mipsel],
                libglib2.0-dev (>= 2.15.0),
                libglu1-mesa-dev [!armel !mips !mipsel],
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
+               libgraphite2-dev (>= 0.9.3) [!armel !sparc],
+               libgstreamer-plugins-base0.10-dev,
                libgtk-3-dev (>= 3.2~),
                libgtk2.0-dev (>= 2.10),
                libhsqldb-java (>> 1.8.0.10),
@@ -59,11 +55,9 @@
                libice-dev,
                libicu-dev (>= 4.6),
                libjpeg-dev,
-               liblangtag-dev (>= 0.4),
                liblcms2-dev,
                libldap2-dev,
-               libmdds-dev (>= 0.6.0),
-               libmspub-dev,
+               liblpsolve55-dev (>= 5.5.0.13-5+b1),
                libmysqlclient-dev,
                libmysqlcppconn-dev (>= 1.1.0~r791),
                libmythes-dev (>= 2:1.2),
@@ -76,13 +70,12 @@
                libpoppler-private-dev,
                libpq-dev (>= 9.0~),
                libqt4-dev (>= 4:4.8),
-               librdf0-dev (>= 1.0.8),
                libsane-dev,
                libsm-dev,
                libssl-dev,
+               libsuitesparse-dev (>= 1:3.4.0),
                libvigraimpex-dev,
                libvisio-dev,
-               libwpd-dev (>= 0.9.0),
                libwpg-dev (>= 0.2.0),
                libwps-dev (>= 0.2.0),
                libx11-dev,
@@ -98,15 +91,20 @@
                libxslt1-dev,
                libxt-dev,
                libxtst-dev,
+               lp-solve (>= 5.5.0.13-5+b1),
                make (>= 3.81-8.2),
+               openjdk-6-jdk (>= 6b23~pre8-2) [mips mipsel],
+               openjdk-7-jdk [amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc],
                pkg-config,
                python (>= 2.6.6-3+squeeze4),
-               python-dev (>= 2.6),
-               python3-dev (>= 3.3),
+               python-dev (>= 2.7),
+               python3,
                unixodbc-dev (>= 2.2.11),
                unzip,
+               uuid,
                x11proto-render-dev,
                xsltproc,
+               xulrunner-dev,
                zip,
                zlib1g-dev
 Build-Depends-Indep: bsh (>= 2.0b4),
@@ -114,12 +112,22 @@
                      fdupes,
                      fontforge,
                      imagemagick,
+                     libbase-java [!hppa !kfreebsd-amd64 !kfreebsd-i386],
                      libcommons-codec-java,
                      libcommons-httpclient-java,
                      libcommons-lang-java,
                      libcommons-logging-java (>= 1.1.1-9),
-                     libservlet3.0-java,
-                     libservlet3.0-java (>= 1.1.1-9),
+                     libflute-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libfonts-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libformula-java (>= 1.1.7) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     liblayout-java (>= 0.2.10) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libloader-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     librepository-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libsac-java [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libserializer-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
+                     libservlet2.5-java,
+                     libxml-java (>= 1.1.6) [!hppa !kfreebsd-amd64 !kfreebsd-i386],
                      xml-core
 Build-Conflicts: ant (= 1.8.0-1) [hppa kfreebsd-i386 kfreebsd-amd64],
                  ant (= 1.8.0-2) [hppa kfreebsd-i386 kfreebsd-amd64],
@@ -137,17 +145,18 @@
                  libc6-dev (= 2.6.1-4) [i386 amd64],
                  libcairo2 (= 1.4.8-1),
                  libhsqldb-java (>= 1.8.1~),
+                 libmariadbclient-dev,
                  libxul-dev (= 1.8.0.13~pre070720-0etch1),
                  nvidia-glx-dev,
                  nvidia-glx-legacy-dev,
                  qt3-dev-tools
 Standards-Version: 3.9.4
 XS-Python-Version: current
-XS-Python3-Version: 3.3
+XS-Python3-Version: 2.7
 XS-Testsuite: autopkgtest
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-openoffice/libreoffice.git
-Bugs: 
+Bugs: mailto:debian-backports@lists.debian.org
 Homepage: http://www.libreoffice.org
 
 Package: libreoffice
@@ -158,24 +167,22 @@
          libreoffice-calc,
          libreoffice-core (= ${binary:Version}),
          libreoffice-draw,
-         libreoffice-filter-mobiledev,
          libreoffice-impress,
          libreoffice-math,
          libreoffice-report-builder-bin [!hppa !kfreebsd-amd64 !kfreebsd-i386],
          libreoffice-writer,
-         ttf-dejavu,
+         ${dejavu-depends},
          ${java-common-depends},
          ${misc:Depends},
          ${pyuno-depends}
-Recommends: fonts-liberation | ttf-mscorefonts-installer,
-            libpaper-utils,
-            libreoffice-gnome | libreoffice-kde
+Recommends: fonts-liberation | ttf-mscorefonts-installer, libpaper-utils
 Suggests: cups-bsd,
           hunspell-dictionary,
           hyphen-hyphenation-patterns,
           iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser,
           imagemagick | graphicsmagick-imagemagick-compat,
           libgl1,
+          libreoffice-gnome | libreoffice-kde,
           libreoffice-grammarcheck,
           libreoffice-help-${help-l10n-virtual-version},
           libreoffice-l10n-${help-l10n-virtual-version},
@@ -200,7 +207,6 @@
   * libreoffice-draw: Drawing
   * libreoffice-base: Database
   * libreoffice-math: Equation editor
-  * libreoffice-filter-mobiledev: Mobile Devices filters
  .
  You can extend the functionality of LibreOffice by installing these
  packages:
@@ -230,7 +236,7 @@
   * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
     media backend
   * libpaper-utils: papersize detection support via paperconf
-  * bluez: Bluetooth support for Impress (slideshow remote control)
+  * bluez: Bluetooth support for Impress (slideshow remote control
 
 Package: libreoffice-l10n-za
 Section: metapackages
@@ -268,7 +274,7 @@
          libreoffice-l10n-ta,
          libreoffice-l10n-te,
          ${misc:Depends}
-Recommends: ttf-indic-fonts
+Recommends: fonts-indic
 Description: office productivity suite -- Indic language packages
  LibreOffice is a full-featured office productivity suite that provides
  a near drop-in replacement for Microsoft(R) Office.
@@ -286,25 +292,3 @@
 Breaks: cli-uno-bridge (<< 1:3.0.0~dev300m22),
         hunspell-ar (<< 0.0.0+20080110-1.1),
         hunspell-da (<< 1:3.1.0-3),
-        hunspell-de-at (<< 20071211-2),
-        hunspell-de-ch (<< 20071211-2),
-        hunspell-de-de (<< 20071211-2),
-        hunspell-de-med (<< 20090825-1),
-        hunspell-en-ca (<< 1:3.1.0-3),
-        hunspell-en-us (<< 20070829-3),
-        hunspell-fr (<< 1:3.1.0-3),
-        hunspell-gl-es (<< 2.2a-6),
-        hunspell-hu (<< 1:3.1.0-3),
-        hunspell-ko (<< 0.3.3-1),
-        hunspell-ne (<< 1:3.1.0-3),
-        hunspell-se (<< 1.0~beta6.20081222-1.1),
-        hunspell-sh (<< 1:3.1.0-3),
-        hunspell-sr (<< 1:3.1.0-3),
-        hunspell-uz (<< 0.6-3.1),
-        hunspell-vi (<< 1:3.1.0-3),
-        libcairo2 (= 1.4.8-1),
-        libicu38 (= 3.8~d01-1),
-        libreoffice-base (<< ${binary:Version}),
-        libreoffice-calc (<< ${binary:Version}),
-        libreoffice-common (<< 1:3.6.1~rc1),
-        libreoffice-dev (<< ${binary:Version}),
