=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,8 @@
 BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
 BINARY_VERSION=$(DEB_VERSION)
 #HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
-HELP_L10N_VIRTUAL_VERSION:=4.0
-OOVER:=4.0
+HELP_L10N_VIRTUAL_VERSION:=4.1
+OOVER:=4.1
 NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
 
 ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
@@ -36,9 +36,6 @@
 export gb_SHELL:=$(SHELL)
 
 SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')
-
-# Debian buildds run as user `buildd', other are using /CurrentlyBuilding
-ON_BUILDD := $(shell if [ "`whoami`" = buildd -o -f /CurrentlyBuilding ] || echo $(CURDIR) | grep -q \/build\/buildd; then echo y; else echo n; fi)
 
 PKGDIR:=debian/libreoffice
 OODIRNAME=libreoffice
@@ -65,15 +62,15 @@
 STAMP_DIR=debian/stampdir
 TARFILE_LOCATION=$(CURDIR)/src
 export TARFILE_LOCATION
-USE_SOURCE_TARBALLS=y
+USE_SOURCE_TARBALLS=n
 USE_GIT_TARBALLS=n
 ifeq "$(USE_GIT_TARBALLS)" "y"
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
-lo_sources_ver=4.0.4.2
+lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
-GIT_TAG:=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-4-0-2
+GIT_TAG=libreoffice-$(lo_sources_ver)
+GIT_BRANCH=libreoffice-4-1-0
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
@@ -116,6 +113,8 @@
     zip,\
     zlib1g-dev\
 
+
+CHECKTARGET:=check
 # These are components which can be built from internal copies, or used from the
 # distribution. See configure --help for valid values (--with-system-<value>).
 SYSTEM_STUFF = dicts
@@ -151,10 +150,16 @@
 BUILD_ONLY_EN_US=n
 ENABLE_JAVA=y
 ifeq "$(ENABLE_JAVA)" "y"
-  JDK=default
-  JAVA_MAINVER=6
-  ifneq (,$(filter hppa kfreebsd%, $(DEB_HOST_ARCH)))
-    JDK=gcj-jdk
+  JDK=openjdk
+  JAVA_MAINVER=7
+  ifeq "$(WHEEZY_BACKPORT)" "y"
+    ifneq (,$(filter hppa kfreebsd%, $(DEB_HOST_ARCH)))
+      JDK=gcj-jdk
+    endif
+  else
+    ifneq (,$(filter hppa, $(DEB_HOST_ARCH)))
+      JDK=gcj-jdk
+    endif
   endif
 endif
 JAVAHELPER_MIN_VERSION= (>= 0.37~)
@@ -165,17 +170,27 @@
 LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
 LIBHYPHEN_MINVER= (>= 2.4)
 SYSTEM_STUFF += boost
-BOOST_VERSION=default
+# see 701310/695826. Also happens with sids new gcc 4.7.3
+ifeq "$(WHEEZY_BACKPORT)" "y"
+  BOOST_VERSION=default
+else
+  BOOST_VERSION=1.53
+endif
 ifeq "$(BOOST_VERSION)" "default"
-  BOOST_MINVER= (>= 1.38)
-endif
-ifeq "$(BOOST_VERSION)" "1.39"
-  BOOST_MINVER= (>= 1.39.0-2)
+  ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 4.8 && echo true)" "true"
+    BOOST_MINVER= (>= 1.53)
+  else
+    BOOST_MINVER= (>= 1.38)
+  endif
+endif
+ifneq "$(WHEEZY_BACKPORT)" "y"
+  ifeq "$(BOOST_VERSION)" "default"
+  BOOST_MINVER= (>= 1.49.0-4)
+  endif
 endif
 SYSTEM_STUFF += mdds
 SYSTEM_STUFF += vigra
 USE_EXTERNAL_CXXLIBS=y
-#SYSTEM_STUFF += sablot
 SYSTEM_STUFF += mythes
 SYSTEM_STUFF += icu
 ICU_MINVER= (>= 4.6)
@@ -183,6 +198,8 @@
 SYSTEM_STUFF += libvisio
 SYSTEM_STUFF += libcdr
 SYSTEM_STUFF += libmspub
+SYSTEM_STUFF += libmwaw
+SYSTEM_STUFF += libodfgen
 #SYSTEM_STUFF += xmlsec
 BUILD_CAIROCANVAS=y
 SYSTEM_STUFF += cairo
@@ -190,7 +207,7 @@
 BUILD_KDE=y
 # not ported to KDE 4
 ENABLE_KDEAB=n
-ifeq "$(SYSTEM_GCC_VERSION)" "4.7"
+ifeq "$(shell dpkg --compare-versions $(SYSTEM_GCC_VERSION) ge 4.7 && echo true)" "true"
 # < 4.8 fails with gcc 4.7, see #667911
 QT_MINVER= (>= 4:4.8)
 else
@@ -200,6 +217,9 @@
 BUILD_DBG_PACKAGE=y
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
   BUILD_TEST_PACKAGE=y
+endif
+ifeq "$(BUILD_TEST_PACKAGE)" "y"
+  BUILD_DBG_PACKAGE=y
 endif
 ifeq "$(BUILD_DBG_PACKAGE)" "y"
   ENABLE_SYMBOLS=y
@@ -213,6 +233,11 @@
   SYSTEM_STUFF += hsqldb
   HSQLDB_MINVER= (>> 1.8.0.10)
   HSQLDB_TOONEWVER=1.8.1
+#  ifeq "$(WHEEZY_BACKPORT)" "y"
+    HSQLDB_JAR=/usr/share/java/hsqldb.jar
+#  else
+#    HSQLDB_JAR=/usr/share/java/hsqldb1.8.0.jar
+#  endif
 endif
 SYSTEM_STUFF += lpsolve
 USE_SHARED_LPSOLVE=y
@@ -227,11 +252,11 @@
   endif
 endif
 USE_GSTREAMER=y
-ifneq "$(WHEEZY_BACKPORT)" "y"
-  GSTREAMER_VERSION=1.0
-else
- GSTREAMER_VERSION=0.10
-endif
+#ifneq "$(WHEEZY_BACKPORT)" "y"
+#  GSTREAMER_VERSION=1.0
+#else
+   GSTREAMER_VERSION=0.10
+#endif
 SYSTEM_STUFF += neon
 NEON_SECTYPE=gnutls
 NEONSONR=27
@@ -251,44 +276,14 @@
     else
       RUN_MAKE_CHECK=n
       ENABLE_JUNIT4=n
+      BUILD_TEST_PACKAGE=n
     endif
   endif
 else
   RUN_MAKE_CHECK=n
   ENABLE_JUNIT4=n
+  BUILD_TEST_PACKAGE=n
 endif
 ifeq "$(ENABLE_JUNIT4)" "y"
   JUNIT_MIN_VER= (>= 4.8.2-2)
 endif
-USE_LIBCURL4=y
-CURL_SECTYPE=gnutls
-USE_SYSTEM_DMAKE=y
-USE_LIBSUITESPARSE=y
-SUITESPARSE_MIN_VERSION= (>= 1:3.4.0)
-PARALLEL_BUILD=y
-ENABLE_LDAP=y
-USE_OPENLDAP=y
-ENABLE_OPENGL=y
-SYSTEM_STUFF += openssl
-NEW_DPKG_SHLIBDEPS=y
-ifeq "$(ENABLE_JAVA)" "y"
-  ENABLE_REPORTDESIGN=y
-  SYSTEM_STUFF += jfreereport
-  ENABLE_MEDIAWIKI=y
-  SYSTEM_STUFF += apache-commons
-  ENABLE_SCRIPT_PROVIDER_BSH=y
-  ENABLE_SCRIPT_PROVIDER_JS=y
-else
-  ENABLE_REPORTDESIGN=n
-  ENABLE_MEDIAWIKI=n
-  ENABLE_SCRIPT_PROVIDER_BSH=n
-  ENABLE_SCRIPT_PROVIDER_JS=n
-endif
-ENABLE_SDBC_POSTGRESQL=y
-ENABLE_MINIMIZER=y
-BUILD_GTK=y
-#ifeq "$(DEB_DISTRIBUTION)" "experimental"
-BUILD_GTK3=y
-#endif
-ENABLE_EVO2=y
-ENABLE_GVFS=n
